frr defaults datacenter
hostname {{ inventory_hostname }}
username cumulus nopassword
!
service integrated-vtysh-config
!
log syslog informational
!
!
router bgp {{ devices[inventory_hostname].routing.bgp.asn }}
 bgp router-id {{ devices[inventory_hostname].interfaces.loopback.ipv4|ipaddr('address') }}
 bgp bestpath as-path multipath-relax
 neighbor external peer-group
 neighbor external remote-as external
{% if devices[inventory_hostname].routing.bgp.vrf.default is defined %}
{% if devices[inventory_hostname].routing.bgp.vrf.default.neighbor is defined %}
{% for peer in devices[inventory_hostname].routing.bgp.vrf.default.neighbor %}
 {% set neighbor = devices[inventory_hostname].routing.bgp.vrf.default.neighbor[peer] %}
 neighbor {{ peer }} peer-group external
{% endfor %}
{% endif %}
{% endif %}
 !
 address-family ipv4 unicast
 neighbor external default-originate route-map only-default
 exit-address-family
 !
!
ip prefix-list only-default seq 5 permit 0.0.0.0/0
!
route-map only-default permit 10
 match ip address prefix-list only-default
!
route-map only-default deny 20
!
line vty
!
